Bug 193640 - The FC5 Grub has no network functionality
The FC5 Grub has no network functionality
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-31 05:18 EDT by Joachim Backes
Modified: 2009-05-12 17:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:57:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SPEC file Patch (1.37 KB, patch)
2006-06-08 12:10 EDT, Razvan Corneliu C.R. VILT
no flags Details | Diff
The updated diskless patch (1.58 MB, patch)
2006-06-08 12:12 EDT, Razvan Corneliu C.R. VILT
no flags Details | Diff
The UNDI Driver (105.02 KB, patch)
2006-06-08 12:13 EDT, Razvan Corneliu C.R. VILT
no flags Details | Diff

  None (edit)
Description Joachim Backes 2006-05-31 05:18:38 EDT
Description of problem: I tried to boot over network with grub. But The FC5 grub
is not able to boot over network: the "bootp" command is rejected:
   GNU GRUB  version 0.97  (640K lower / 3072K upper memory)

 [ Minimal BASH-like line editing is supported.  For the first word, TAB
   lists possible command completions.  Anywhere else TAB lists the possible
   completions of a device/filename.]

grub> bootp

Error 27: Unrecognized command



Version-Release number of selected component (if applicable):grub-0.97-5



How reproducible:Always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Razvan Corneliu C.R. VILT 2006-06-08 12:10:44 EDT
Created attachment 130757 [details]
SPEC file Patch
Comment 2 Razvan Corneliu C.R. VILT 2006-06-08 12:12:50 EDT
Created attachment 130758 [details]
The updated diskless patch

http://cvs.opensolaris.org/source/xref/on/usr/src/grub/grub-patches/
Comment 3 Razvan Corneliu C.R. VILT 2006-06-08 12:13:58 EDT
Created attachment 130759 [details]
The UNDI Driver

http://cvs.opensolaris.org/source/xref/on/usr/src/grub/grub-patches/
Comment 4 Bug Zapper 2008-04-03 23:00:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 11:57:52 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Joachim Backes 2008-05-07 01:40:59 EDT
Trying the same in F8 fails too. No check in F9 beta!
Comment 7 Oliver Henshaw 2009-05-12 17:54:34 EDT
This is still true in Fedora 10.

Note You need to log in before you can comment on or make changes to this bug.